<template>
  <el-select v-model="modelValue" style="width: 200px;" placeholder="请选择激活时长">
    <el-option v-for="item in options" :key="item.value" :label="item.label" :value="item.value"></el-option>
  </el-select>
  <el-input v-model="activeCost" placeholder="请输入激活费用（选填）" style="width: 200px; margin-left: 14px;" />
</template>

<script setup>
import { ref, onMounted } from "vue";

const modelValue = defineModel({
  type: [String, Number],
  default: "",
});

// 激活费用
const activeCost = defineModel('activeCost', {
  type: String,
  default: "",
})

const options = ref([])

onMounted(() => {
  for (let i = 1; i <= 12; i++) {
    options.value.push({
      label: `${i}个月`,
      value: i,
    });
  }
})
</script>
